 * @param $jsonStr 发送的json字符串
 * @return array
 */
function http_post_json($url, $paramStr)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $paramStr);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/x-www-form-urlencoded; charset=utf-8',
            'Content-Length: ' . strlen($paramStr)
        )
    );
    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    return array($httpCode, $response);
}

function getMillisecond() {
        list($t1, $t2) = explode(' ', microtime());
        return (float)sprintf('%.0f',(floatval($t1)+floatval($t2))*1000);
}


$userid = '用户ID';
$appkey = 'appkey';
$mobile = '手机号码';
$msgcontent='【科技公司】验证码123456';
$ts = getMillisecond();
$sign=md5($userid.$ts.$appkey);



$url = "http://118.178.35.191:8808/api/sms/send";
$paramStr = "userid=".$userid."&ts=".$ts."&sign=".$sign."&mobile=".$mobile."&msgcontent=".$msgcontent."&sendtime=&extnum=1545";
list($returnCode, $returnContent) = http_post_json($url, $paramStr);
echo $returnContent;

?>
